CREATE TABLE hrc_alert_run_messages_data (
    RUN_MESSAGE_DATA_ID      NUMBER(18, 0) ,
    RUN_ID                   NUMBER(18, 0)     NOT NULL,
    TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    MESSAGE_SEQ              NUMBER(18, 0) ,
    MESSAGE_LANGUAGE         VARCHAR2(32)  ,
    SUBJECT                  VARCHAR2(4000),
    BODY                     CLOB          ,
    STATUS                   VARCHAR2(120) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    RUN_MESSAGE_DATA_ID      NUMBER(18, 0) ,
    RUN_ID                   NUMBER(18, 0)     NOT NULL,
    TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    MESSAGE_SEQ              NUMBER(18, 0) ,
    MESSAGE_LANGUAGE         VARCHAR2(32)  ,
    SUBJECT                  VARCHAR2(4000),
    BODY                     CLOB          ,
    STATUS                   VARCHAR2(120) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_hrc_alert_run_messages_data PRIMARY KEY (RUN_MESSAGE_DATA_ID, RUN_MESSAGE_DATA_ID)
);
